<?php

namespace App\Dto\V1\Blog;

class BlogImagesDto
{
    public function __construct(
        public array $images,
    )
    {
    }

    public function uploadImagesPayload(): array
    {
        $uploadedImages = [];
        foreach ($this->images as $image) {
            $uploadedImages[] = [
                'image' => upload_s3_images($image, 'blogs'),
            ];
        }
        return $uploadedImages;
    }
}

